# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without asintegration_jmx
%bcond_without integration
%bcond_with jrockit
%if "%{?rhel}" == "6"
%define _jarsign_opts --unsign=%{_javadir}
%bcond_without repolib
%else
%bcond_with repolib
%endif
%bcond_without mead

%if %without integration
%bcond_with asintegration_jmx
%endif

%define repodir %{_javadir}/repository.jboss.com/jboss/aop/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define section free
%define oname jboss-aop
%define reltag GA_CP03
%define namedversion %{version}.%{reltag}

Name:           jboss-aop2
Version:        2.1.6
Release:        2.CP03.1.1%{?dist}
Epoch:          0
Summary:        JBoss AOP
License:        LGPLv2+
Group:          Development/Java
URL:            http://www.jboss.org/
# svn export https://svn.jboss.org/repos/jbossas/projects/aop/tags/JBoss_AOP_2_1_6_GA_CP03/ jboss-aop-2.1.6
# Exported revision 112116.
# tar cjf jboss-aop-2.1.6.tar.bz2 jboss-aop-2.1.6
%if %without mead
Source0:        jboss-aop-2.1.6.tar.bz2
%endif
Source1:        jboss-aop-jpp-depmap.xml
Source2:        jboss-aop-settings.xml
Source3:        jboss-aop-component-info.xml
Patch0:         jboss-aop2-pom-maven-version.patch
Patch2:         jboss-aop2-pom-disable-integration.patch
Patch3:         jboss-aop2-asintegration-core-pom.patch
Patch4:         jboss-aop2-asintegration-jmx-pom.patch
Patch5:         jboss-aop2-asintegration-mc-pom.patch
Patch6:         jboss-aop2-java-javadoc-link.patch
Patch8:         jboss-aop2-no-jbossas-core-libs.patch
Patch9:         jboss-aop2-no-asintegration-jmx.patch
Patch10:	jboss-aop2-aopc_sh.patch
Patch11:        jboss-aop2-run-load_sh.patch
Patch12:        jboss-aop2-run-loadHotSwap_sh.patch
Patch13:        jboss-aop2-run-precompiled_sh.patch

Obsoletes:      jboss-aop < %{epoch}:%{version}-%{release}

Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
Requires:       bsh
Requires:       concurrent
Requires:       dom4j
#Requires:       jarjar
#jarjar is only needed MC 2.0 classes for use in AS 4.2.
Requires:       javassist
Requires:       jboss-common-core
Requires:       jboss-common-logging-log4j
Requires:       jboss-common-logging-spi
Requires:       jboss-man
Requires:       jboss-mdr
Requires:       jboss-microcontainer2
Requires:       jboss-reflect
Requires:       jboss-vfs2
Requires:       j2ee_connector_1_5_api
Requires:       log4j
Requires:       jbossweb-servlet-2.5-api
Requires:       snmptrapappender
#Requires:       xdoclet
Requires:       xerces-j2
#Requires:       xjavadoc
BuildRequires:  jpackage-utils >= 0:1.7.3
%if %with mead
BuildRequires:  %{name}-mead = %{namedversion}
%else
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  java-javadoc
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-release
BuildRequires:  maven-enforcer-rule-api
BuildRequires:  maven-shared-plugin-testing-harness
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-surefire-report-maven-plugin
BuildRequires:  ant >= 0:1.7.0
BuildRequires:  gnu-trove
BuildRequires:  jarjar
#jarjar is only needed MC 2.0 classes for use in AS 4.2.
BuildRequires:  jboss-parent
BuildRequires:  jboss-profiler
BuildRequires:  jboss-test
BuildRequires:  junit
BuildRequires:  qdox
BuildRequires:  bsh
BuildRequires:  concurrent
BuildRequires:  dom4j
BuildRequires:  javacc
BuildRequires:  javassist
BuildRequires:  jboss-common-core
BuildRequires:  jboss-common-logging-log4j
BuildRequires:  jboss-common-logging-spi
BuildRequires:  jboss-man
BuildRequires:  jboss-mdr
BuildRequires:  jboss-microcontainer2
BuildRequires:  jboss-reflect
BuildRequires:  jboss-vfs2
BuildRequires:  j2ee_connector_1_5_api
BuildRequires:  log4j
BuildRequires:  jbossweb-servlet-2.5-api
BuildRequires:  snmptrapappender
BuildRequires:  xdoclet
BuildRequires:  xerces-j2
BuildRequires:  xjavadoc

%if %with integration
BuildRequires:  ant-junit
BuildRequires:  jboss-bootstrap
BuildRequires:  jboss-cl
BuildRequires:  jboss-deployers
BuildRequires:  jboss-naming
BuildRequires:  jboss-integration
BuildRequires:  jbosssx2
BuildRequires:  jboss-security-spi
BuildRequires:  jboss-vfs2
BuildRequires:  maven-jbossaop-plugin
%endif
%if %with asintegration_jmx
BuildRequires:  jboss5-libs
%endif
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss AOP.

# FIXME If javadocs are desired for JBoss AOP the -javadoc classifiers
# for each JAR artifact needs to be generated and installed by the 
# AOP maven build
%if %without mead
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%if %without mead
%setup -q -n %{oname}-%{version}
%{_bindir}/find -type f -name "*.?ar" | %{_bindir}/xargs -t rm
%patch0 -b .sav0
%if %without integration
%patch2 -b .sav2
%endif
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch8 -b .sav8
%if %with integration
%if %without asintegration_jmx
%patch9 -b .sav9
%endif
%endif
%patch10 -p1 -b .sav10
%patch11 -p1 -b .sav11
%patch12 -p1 -b .sav12
%patch13 -p1 -b .sav13

cp -p %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP
%endif

%build
%if %without mead
export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository
export MAVEN_OPTS="-Xmx384m"
%{_bindir}/mvn-jpp -e \
        -s ${M2SETTINGS} \
%if %with jrockit
        -Djrockit.home=%{java_home} \
%endif
        -Dmaven.test.failure.ignore=true \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install

%{_bindir}/mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Daggregate=true \
%if %with jrockit
        -Djrockit.home=%{java_home} \
%endif
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        javadoc:javadoc

%{_bindir}/mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.repository.root=repository \
        -Dmaven.test.failure.ignore=true \
%if %with jrockit
        -Djrockit.home=%{java_home} \
%endif
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        deploy
%endif


%install
rm -rf %{buildroot}

# m2 repo
#mkdir -p %{buildroot}%{_datadir}/maven2/repository/JPP
#cp -pr repository/* %{buildroot}%{_datadir}/maven2/repository/JPP

# NOTE: We would still need the sources here because of the scripts
# under src/resources; a resources JAR is not published as an artifact
# by the JBoss AOP maven build
# SCRIPTS HAVE BEEN DEPRECATED AND SHOULD BE REMOVED (kabir)
%if 0
# scripts
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 aop/src/resources/bin/aopc.sh %{buildroot}%{_bindir}/%{name}-aopc
install -p -m 755 aop/src/resources/bin/run-loadHotSwap.sh %{buildroot}%{_bindir}/%{name}-run-load15HotSwap
install -p -m 755 aop/src/resources/bin/run-load.sh %{buildroot}%{_bindir}/%{name}-run-load15
install -p -m 755 aop/src/resources/bin/run-precompiled.sh %{buildroot}%{_bindir}/%{name}-run-precompiled15
%endif

# jars
install -d -m 755 %{buildroot}%{_javadir}/%{name}
%if %with integration
# EMPTY DIST JAR IS NOT NEEDED (Kabir)
%if 0
%if %without mead
PREFIX="build/target"
%else
PREFIX="%{_javadir}/jbossas-fordev"
%endif
install -p -m 644 ${PREFIX}/%{oname}-dist-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/%{oname}-dist-%{version}.jar
install -p -m 644 ${PREFIX}/%{oname}-dist-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/%{oname}-dist-sources-%{version}.jar
%endif
%endif
%if %without mead
PREFIX="aop/target"
%else
PREFIX="%{_javadir}/jbossas-fordev"
%endif
install -p -m 644 ${PREFIX}/%{oname}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/%{oname}-%{version}.jar
install -p -m 644 ${PREFIX}/%{oname}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/%{oname}-sources-%{version}.jar
install -p -m 644 ${PREFIX}/%{oname}-%{namedversion}-client.jar %{buildroot}%{_javadir}/%{name}/%{oname}-client-%{version}.jar
install -p -m 644 ${PREFIX}/%{oname}-%{namedversion}-client-sources.jar %{buildroot}%{_javadir}/%{name}/%{oname}-client-sources-%{version}.jar
install -p -m 644 ${PREFIX}/%{oname}-%{namedversion}-single.jar %{buildroot}%{_javadir}/%{name}/%{oname}-single-%{version}.jar
#install -p -m 644 ${PREFIX}/%{oname}-%{namedversion}-tests.jar %{buildroot}%{_javadir}/%{name}/%{oname}-tests-%{version}.jar
%if %without mead
PREFIX="aspects/target"
%else
PREFIX="%{_javadir}/jbossas-fordev"
%endif
install -p -m 644 ${PREFIX}/%{oname}-aspects-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/%{oname}-aspects-%{version}.jar
install -p -m 644 ${PREFIX}/%{oname}-aspects-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/%{oname}-aspects-sources-%{version}.jar
%if %with jrockit
%if %without mead
PREFIX="jrockit-pluggable-instrumentor/target"
%else
PREFIX="%{_javadir}/jbossas-fordev"
%endif
install -p -m 644 ${PREFIX}/jrockit-pluggable-instrumentor-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jrockit-pluggable-instrumentor-%{version}.jar
install -p -m 644 ${PREFIX}/jrockit-pluggable-instrumentor-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jrockit-pluggable-instrumentor-sources-%{version}.jar
%endif
%if %without mead
PREFIX="pluggable-instrumentor/target"
%else
PREFIX="%{_javadir}/jbossas-fordev"
%endif
install -p -m 644 ${PREFIX}/pluggable-instrumentor-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/pluggable-instrumentor-%{version}.jar
install -p -m 644 ${PREFIX}/pluggable-instrumentor-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/pluggable-instrumentor-sources-%{version}.jar
%if %with integration
%if %without mead
PREFIX="aophelper/target"
%else
PREFIX="%{_javadir}/jbossas-fordev"
%endif
install -p -m 644 ${PREFIX}/aophelper-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/aophelper-%{version}.jar
install -p -m 644 ${PREFIX}/aophelper-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/aophelper-sources-%{version}.jar
%if %without mead
PREFIX="deployers/target"
%else
PREFIX="%{_javadir}/jbossas-fordev"
%endif
install -p -m 644 ${PREFIX}/jboss-aop-deployers-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/%{oname}-deployers-%{version}.jar
install -p -m 644 ${PREFIX}/jboss-aop-deployers-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/%{oname}-deployers-sources-%{version}.jar
%if %without mead
PREFIX="asintegration-core/target"
%else
PREFIX="%{_javadir}/jbossas-fordev"
%endif
install -p -m 644 ${PREFIX}/jboss-aop-asintegration-core-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-core-%{version}.jar
install -p -m 644 ${PREFIX}/jboss-aop-asintegration-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-core-sources-%{version}.jar
#install -p -m 644 ${PREFIX}/jboss-aop-asintegration-core-%{namedversion}-tests.jar %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-core-tests-%{version}.jar
%if %with asintegration_jmx
%if %without mead
PREFIX="asintegration-jmx/target"
%else
PREFIX="%{_javadir}/jbossas-fordev"
%endif
install -p -m 644 ${PREFIX}/jboss-aop-asintegration-jmx-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-jmx-%{version}.jar
install -p -m 644 ${PREFIX}/jboss-aop-asintegration-jmx-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-jmx-sources-%{version}.jar
#install -p -m 644 ${PREFIX}/jboss-aop-asintegration-jmx-%{namedversion}-tests.jar %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-jmx-tests-%{version}.jar
%endif
%if %without mead
PREFIX="asintegration-mc/target"
%else
PREFIX="%{_javadir}/jbossas-fordev"
%endif
install -p -m 644 ${PREFIX}/jboss-aop-asintegration-mc-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-mc-%{version}.jar
install -p -m 644 ${PREFIX}/jboss-aop-asintegration-mc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-mc-sources-%{version}.jar
#install -p -m 644 ${PREFIX}/jboss-aop-asintegration-mc-%{namedversion}-tests.jar %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-mc-tests-%{version}.jar
%endif

(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `/bin/echo ${jar} | sed "s|-%{version}||g"`; done)

# pom
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
%if %without mead
install -p -m 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-parent.pom
%else
install -p -m 644 %{_javadir}/jbossas-fordev/%{oname}-parent-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-parent.pom
%endif
%add_to_maven_depmap org.jboss.aop %{oname}-parent %{namedversion} JPP/%{name} %{oname}-parent
# EMPTY DIST JAR IS NOT NEEDED (Kabir)
%if 0
%if %with integration
install -p -m 644 build/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-dist.pom
%add_to_maven_depmap org.jboss.aop %{oname}-dist %{namedversion} JPP/%{name} %{oname}-dist
%endif
%endif
%if %without mead
install -p -m 644 aop/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}.pom
%else
install -p -m 644 %{_javadir}/jbossas-fordev/%{oname}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}.pom
%endif
%add_to_maven_depmap org.jboss.aop %{oname} %{namedversion} JPP/%{name} %{oname}
%if %without mead
install -p -m 644 aspects/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-aspects.pom
%else
install -p -m 644 %{_javadir}/jbossas-fordev/%{oname}-aspects-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-aspects.pom
%endif
%add_to_maven_depmap org.jboss.aop %{oname}-aspects %{namedversion} JPP/%{name} %{oname}-aspects
%if %without mead
%if %with jrockit
install -p -m 644 jrockit-pluggable-instrumentor/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jrockit-pluggable-instrumentor.pom
%else
install -p -m 644 %{_javadir}/jbossas-fordev/%{oname}-jrockit-pluggable-instrumentor-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jrockit-pluggable-instrumentor.pom
%endif
%add_to_maven_depmap org.jboss.aop jrockit-pluggable-instrumentor %{namedversion} JPP/%{name} jrockit-pluggable-instrumentor
%endif
%if %without mead
install -p -m 644 pluggable-instrumentor/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-pluggable-instrumentor.pom
%else
install -p -m 644 %{_javadir}/jbossas-fordev/pluggable-instrumentor-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-pluggable-instrumentor.pom
%endif
%add_to_maven_depmap org.jboss.aop pluggable-instrumentor %{namedversion} JPP/%{name} pluggable-instrumentor
%if %with integration
%if %without mead
install -p -m 644 aophelper/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-aophelper.pom
%else
install -p -m 644 %{_javadir}/jbossas-fordev/aophelper-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-aophelper.pom
%endif
%add_to_maven_depmap org.jboss.aop aophelper %{namedversion} JPP/%{name} aophelper
%if %without mead
install -p -m 644 deployers/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-deployers.pom
%else
install -p -m 644 %{_javadir}/jbossas-fordev/%{oname}-deployers-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-deployers.pom
%endif
%add_to_maven_depmap org.jboss.aop %{oname}-deployers %{namedversion} JPP/%{name} %{oname}-deployers
%if %without mead
install -p -m 644 asintegration-core/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-core.pom
%else
install -p -m 644 %{_javadir}/jbossas-fordev/%{oname}-asintegration-core-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-core.pom
%endif
%add_to_maven_depmap org.jboss.aop %{oname}-asintegration-core %{namedversion} JPP/%{name} %{oname}-asintegration-core
%if %with asintegration_jmx
%if %without mead
install -p -m 644 asintegration-jmx/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-jmx.pom
%else
install -p -m 644 %{_javadir}/jbossas-fordev/%{oname}-asintegration-jmx-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-jmx.pom
%endif
%add_to_maven_depmap org.jboss.aop %{oname}-asintegration-jmx %{namedversion} JPP/%{name} %{oname}-asintegration-jmx
%endif
%if %without mead
install -p -m 644 asintegration-mc/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-mc.pom
%else
install -p -m 644 %{_javadir}/jbossas-fordev/%{oname}-asintegration-mc-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-mc.pom
%endif
%add_to_maven_depmap org.jboss.aop %{oname}-asintegration-mc %{namedversion} JPP/%{name} %{oname}-asintegration-mc
%endif

%if %without mead
# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
%endif

%if %with repolib
%if %without mead
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

install -d -m 755 %{buildroot}%{repodir}
install -d -m 755 %{buildroot}%{repodirlib}
install -p -m 644 %{SOURCE3} %{buildroot}%{repodir}/component-info.xml
sed -i 's/@VERSION@/%{namedversion}-brew/g' %{buildroot}%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
install -d -m 755 %{buildroot}%{repodirsrc}
%if %without mead
install -p -m 644 %{SOURCE0} %{buildroot}%{repodirsrc}
install -p -m 644 %{SOURCE1} %{buildroot}%{repodirsrc}
install -p -m 644 %{SOURCE2} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH0} %{buildroot}%{repodirsrc}
%if %without integration
install -p -m 644 %{PATCH2} %{buildroot}%{repodirsrc}
%endif
install -p -m 644 %{PATCH3} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH4} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH5} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH6} %{buildroot}%{repodirsrc}
install -p -m 644 %{PATCH8} %{buildroot}%{repodirsrc}
%if %with integration
%if %without asintegration_jmx
install -p -m 644 %{PATCH9} %{buildroot}%{repodirsrc}
%else
install -p -m 644 %{_javadir}/jbossas-fordev/org.jboss.aop-%{oname}-parent-%{namedversion}-sources.zip %{buildroot}%{repodirsrc}
install -p -m 644 %{_javadir}/jbossas-fordev/org.jboss.aop-%{oname}-parent-%{namedversion}-patches.zip %{buildroot}%{repodirsrc}
%endif
%endif
%endif
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}.jar %{buildroot}%{repodirlib}/jboss-aop.jar
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-sources.jar %{buildroot}%{repodirlib}/jboss-aop-sources.jar
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-client.jar %{buildroot}%{repodirlib}/jboss-aop-client.jar
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-client-sources.jar %{buildroot}%{repodirlib}/jboss-aop-client-sources.jar
%if %with integration
# DIST JAR NOT NEEDED (Kabir)
%if 0
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-dist.jar %{buildroot}%{repodirlib}/jboss-aop-dist.jar
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-dist-sources.jar %{buildroot}%{repodirlib}/jboss-aop-dist-sources.jar
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-dist.pom %{buildroot}%{repodirlib}/jboss-aop-dist.pom
%endif
%endif
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-single.jar %{buildroot}%{repodirlib}/jboss-aop-single.jar
#cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-tests.jar %{buildroot}%{repodirlib}/jboss-aop-tests.jar
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-aspects.jar %{buildroot}%{repodirlib}/jboss-aop-aspects.jar
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-aspects-sources.jar %{buildroot}%{repodirlib}/jboss-aop-aspects-sources.jar
cp -p %{buildroot}%{_javadir}/%{name}/pluggable-instrumentor.jar %{buildroot}%{repodirlib}/pluggable-instrumentor.jar
cp -p %{buildroot}%{_javadir}/%{name}/pluggable-instrumentor-sources.jar %{buildroot}%{repodirlib}/pluggable-instrumentor-sources.jar
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-parent.pom %{buildroot}%{repodirlib}/jboss-aop-parent.pom
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}.pom %{buildroot}%{repodirlib}/jboss-aop.pom
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-aspects.pom %{buildroot}%{repodirlib}/jboss-aop-aspects.pom
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-pluggable-instrumentor.pom %{buildroot}%{repodirlib}/pluggable-instrumentor.pom
%if %with integration
cp -p %{buildroot}%{_javadir}/%{name}/aophelper-%{version}.jar %{buildroot}%{repodirlib}/aophelper.jar
cp -p %{buildroot}%{_javadir}/%{name}/aophelper-sources-%{version}.jar %{buildroot}%{repodirlib}/aophelper-sources.jar
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-aophelper.pom %{buildroot}%{repodirlib}/aophelper.pom
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-core.jar %{buildroot}%{repodirlib}/jboss-aop-asintegration-core.jar
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-core-sources.jar %{buildroot}%{repodirlib}/jboss-aop-asintegration-core-sources.jar
#cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-core-tests.jar %{buildroot}%{repodirlib}/jboss-aop-asintegration-core-tests.jar
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-core.pom %{buildroot}%{repodirlib}/jboss-aop-asintegration-core.pom
%if %with asintegration_jmx
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-jmx.jar %{buildroot}%{repodirlib}/jboss-aop-asintegration-jmx.jar
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-jmx-sources.jar %{buildroot}%{repodirlib}/jboss-aop-asintegration-jmx-sources.jar
#cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-jmx-tests.jar %{buildroot}%{repodirlib}/jboss-aop-asintegration-jmx-tests.jar
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-jmx.pom %{buildroot}%{repodirlib}/jboss-aop-asintegration-jmx.pom
%endif
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-mc.jar %{buildroot}%{repodirlib}/jboss-aop-asintegration-mc.jar
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-mc-sources.jar %{buildroot}%{repodirlib}/jboss-aop-asintegration-mc-sources.jar
#cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-asintegration-mc-tests.jar %{buildroot}%{repodirlib}/jboss-aop-asintegration-mc-tests.jar
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-mc.pom %{buildroot}%{repodirlib}/jboss-aop-asintegration-mc.pom
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-deployers.jar %{buildroot}%{repodirlib}/jboss-aop-deployers.jar
cp -p %{buildroot}%{_javadir}/%{name}/%{oname}-deployers-sources.jar %{buildroot}%{repodirlib}/jboss-aop-deployers-sources.jar
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-deployers.pom %{buildroot}%{repodirlib}/jboss-aop-deployers.pom
%else
perl -pi -e 's/^.*jboss-aop-asintegration-core.*\.jar.*\n$//g' %{buildroot}%{repodir}/component-info.xml
perl -pi -e 's/^.*jboss-aop-asintegration-mc.*\.jar.*\n$//g' %{buildroot}%{repodir}/component-info.xml
perl -pi -e 's/^.*jboss-aop-deployers.*\.jar.*\n$//g' %{buildroot}%{repodir}/component-info.xml
%endif
%if %without asintegration_jmx
perl -pi -e 's/^.*jboss-aop-asintegration-jmx.*\.jar.*\n$//g' %{buildroot}%{repodir}/component-info.xml
%endif
%if %with jrockit
cp -p %{buildroot}%{_javadir}/%{name}/jrockit-pluggable-instrumentor.jar %{buildroot}%{repodirlib}/jrockit-pluggable-instrumentor.jar
cp -p %{buildroot}%{_javadir}/%{name}/jrockit-pluggable-instrumentor-sources.jar %{buildroot}%{repodirlib}/jrockit-pluggable-instrumentor-sources.jar
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jrockit-pluggable-instrumentor.pom %{buildroot}%{repodirlib}/jrockit-pluggable-instrumentor.pom
%else
perl -pi -e 's/^.*jrockit-pluggable-instrumentor.*\.jar.*\n$//g' %{buildroot}%{repodir}/component-info.xml
%endif
%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
# SCRIPTS HAVE BEEN DEPRECATED AND SHOULD BE REMOVED (kabir)
%if 0
%attr(0755,root,root) %{_bindir}/%{name}-aopc
%attr(0755,root,root) %{_bindir}/%{name}-run-load15
%attr(0755,root,root) %{_bindir}/%{name}-run-load15HotSwap
%attr(0755,root,root) %{_bindir}/%{name}-run-precompiled15
%endif
%dir %{_javadir}/%{name}
%{_javadir}*/%{name}/%{oname}-%{version}.jar
%{_javadir}*/%{name}/%{oname}.jar
%{_javadir}*/%{name}/%{oname}-aspects-%{version}.jar
%{_javadir}*/%{name}/%{oname}-aspects.jar
%{_javadir}*/%{name}/%{oname}-aspects-sources-%{version}.jar
%{_javadir}*/%{name}/%{oname}-aspects-sources.jar
%{_javadir}*/%{name}/%{oname}-client-%{version}.jar
%{_javadir}*/%{name}/%{oname}-client.jar
%{_javadir}*/%{name}/%{oname}-client-sources-%{version}.jar
%{_javadir}*/%{name}/%{oname}-client-sources.jar
%if %with integration
# DIST JAR NOT NEEDED (Kabir)
%if 0
%{_javadir}*/%{name}/%{oname}-dist-%{version}.jar
%{_javadir}*/%{name}/%{oname}-dist.jar
%{_javadir}*/%{name}/%{oname}-dist-sources-%{version}.jar
%{_javadir}*/%{name}/%{oname}-dist-sources.jar
%endif
%endif
%{_javadir}*/%{name}/%{oname}-single-%{version}.jar
%{_javadir}*/%{name}/%{oname}-single.jar
%{_javadir}*/%{name}/%{oname}-sources-%{version}.jar
%{_javadir}*/%{name}/%{oname}-sources.jar
#%{_javadir}*/%{name}/%{oname}-tests-%{version}.jar
#%{_javadir}*/%{name}/%{oname}-tests.jar
%{_javadir}*/%{name}/pluggable-instrumentor-%{version}.jar
%{_javadir}*/%{name}/pluggable-instrumentor.jar
%{_javadir}*/%{name}/pluggable-instrumentor-sources-%{version}.jar
%{_javadir}*/%{name}/pluggable-instrumentor-sources.jar
%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-parent.pom
%{_datadir}/maven2/poms/JPP.%{name}-%{oname}.pom
%if %with integration
# DIST JAR NOT NEEDED (Kabir)
%if 0
%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-dist.pom
%endif
%endif
%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-aspects.pom
%if %with jrockit
%{_datadir}/maven2/poms/JPP.%{name}-jrockit-pluggable-instrumentor.pom
%{_javadir}*/%{name}/jrockit-pluggable-instrumentor-%{version}.jar
%{_javadir}*/%{name}/jrockit-pluggable-instrumentor.jar
%{_javadir}*/%{name}/jrockit-pluggable-instrumentor-sources-%{version}.jar
%{_javadir}*/%{name}/jrockit-pluggable-instrumentor-sources.jar
%endif
%{_datadir}/maven2/poms/JPP.%{name}-pluggable-instrumentor.pom
%if %with integration
%{_javadir}*/%{name}/aophelper-%{version}.jar
%{_javadir}*/%{name}/aophelper.jar
%{_javadir}*/%{name}/aophelper-sources-%{version}.jar
%{_javadir}*/%{name}/aophelper-sources.jar
%{_javadir}*/%{name}/%{oname}-deployers-%{version}.jar
%{_javadir}*/%{name}/%{oname}-deployers.jar
%{_javadir}*/%{name}/%{oname}-deployers-sources-%{version}.jar
%{_javadir}*/%{name}/%{oname}-deployers-sources.jar
%{_javadir}*/%{name}/%{oname}-asintegration-core-%{version}.jar
%{_javadir}*/%{name}/%{oname}-asintegration-core.jar
%{_javadir}*/%{name}/%{oname}-asintegration-core-sources-%{version}.jar
%{_javadir}*/%{name}/%{oname}-asintegration-core-sources.jar
#%{_javadir}*/%{name}/%{oname}-asintegration-core-tests-%{version}.jar
#%{_javadir}*/%{name}/%{oname}-asintegration-core-tests.jar
%if %with asintegration_jmx
%{_javadir}*/%{name}/%{oname}-asintegration-jmx-%{version}.jar
%{_javadir}*/%{name}/%{oname}-asintegration-jmx.jar
%{_javadir}*/%{name}/%{oname}-asintegration-jmx-sources-%{version}.jar
%{_javadir}*/%{name}/%{oname}-asintegration-jmx-sources.jar
#%{_javadir}*/%{name}/%{oname}-asintegration-jmx-tests-%{version}.jar
#%{_javadir}*/%{name}/%{oname}-asintegration-jmx-tests.jar
%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-jmx.pom
%endif
%{_javadir}*/%{name}/%{oname}-asintegration-mc-%{version}.jar
%{_javadir}*/%{name}/%{oname}-asintegration-mc.jar
%{_javadir}*/%{name}/%{oname}-asintegration-mc-sources-%{version}.jar
%{_javadir}*/%{name}/%{oname}-asintegration-mc-sources.jar
#%{_javadir}*/%{name}/%{oname}-asintegration-mc-tests-%{version}.jar
#%{_javadir}*/%{name}/%{oname}-asintegration-mc-tests.jar
%{_datadir}/maven2/poms/JPP.%{name}-aophelper.pom
%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-deployers.pom
%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-core.pom
%{_datadir}/maven2/poms/JPP.%{name}-%{oname}-asintegration-mc.pom
%endif
%{_mavendepmapfragdir}/%{name}

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%dir %{_datadir}/maven2
#%%dir %{_datadir}/maven2/repository
#%%{_datadir}/maven2/repository/JPP
%endif

%changelog
* Tue Aug 23 2011 Permaine Cheung <pcheung@redhat.com> 0:2.1.6-2.CP03.1.1
- Upgrade to 2.1.6.CP03 for EAP 5.1.2

* Thu Apr 28 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.6-1.CP02.1.3
- Remove R: javacc

* Thu Feb 17 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.6-1.CP02.1.2
- JBPAPP-5176 Remove R xjavadoc, xdoclet

* Fri Feb 11 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.1.6-1.CP02.1.1
- Add sources missing from repolib

* Fri Feb 11 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.1.6-1.CP02.1
- Upgrade to 2.1.6.CP02 for EAP 5.1.1

* Thu Jan 27 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.1.6-1.CP01.5
- Rebuild without sources

* Tue Jan 25 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.1.6-1.CP01.4
- Rebuild after buildroot fix to avoid resigning
`
* Tue Jan 25 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.1.6-1.CP01.3
- Use MEAD-built artifacts

* Fri Nov 26 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.6-1.CP01.2
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-site-plugin
- Comment asintegration patch
- Add AnnotationDocletTagFactory patch
- Move maven deployed artifacts from m2 repo to maven2-brew

* Wed Aug 18 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.1.6-1.CP01.1
- Upgrade to 2.1.6.GA_CP01

* Thu Jul 15 2010 David Walluck <dwalluck@redhat.com> 0:2.1.6-0.8
- rebuild

* Fri Jul 09 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.6-0.7
- Add Obsoletes jboss-aop

* Thu May 06 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.6-0.6.1.1
- rebuilt

* Tue Apr 06 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.1.6-0.6.1
- Rebuilt

* Thu Mar 04 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.6-0.6
- Uncomment BR jarjar
- Add patches to escape '(' and ')' in scripts

* Wed Mar 03 2010 Permaine Cheung <pcheung@redhat.com> 0:2.1.6-0.5
- Align BR and R with what is in EAP 5

* Thu Feb 25 2010 David Walluck <dwalluck@redhat.com> 0:2.1.6-0.4
- rebuild

* Thu Oct 15 2009 David Walluck <dwalluck@redhat.com> 0:2.1.6-0.3
- add maven repo to repolib

* Thu Oct 15 2009 David Walluck <dwalluck@redhat.com> 0:2.1.6-0.2
- install all jars
- add all jars to repolib

* Mon Oct 05 2009 David Walluck <dwalluck@redhat.com> 0:2.1.6-0.1
- 2.1.6.GA
- remove jboss-aop2-SystemOutLoggerPlugin.patch
  (patch directly applied upstream in r94096)
- remove jboss-aop2-use-jboss-bootstrap.patch
  (fix applied upstream in r94096)
- rediff jboss-aop2-asintegration-core-pom.patch
- rediff jboss-aop2-asintegration-mc-pom.patch
- rediff jboss-aop2-no-jbossas-core-libs.patch
  (fix partially applied upstream in r94096)

* Wed Sep 23 2009 David Walluck <dwalluck@redhat.com> 0:2.1.4-1.5
- reenable asintegration-jmx
- update patches

* Wed Sep 16 2009 David Walluck <dwalluck@redhat.com> 0:2.1.4-1.4
- remove jboss-as-system-jmx from pom.xml
- disable use of jbossas.core-libs in main pom.xml
- disable asintegration-jmx

* Wed Sep 16 2009 David Walluck <dwalluck@redhat.com> 0:2.1.4-1.3
- remove BuildRequires: jboss4-system

* Fri Aug 28 2009 David Walluck <dwalluck@redhat.com> 0:2.1.4-1.2
- enable integration

* Thu Aug 13 2009 David Walluck <dwalluck@redhat.com> 0:2.1.4-1.1
- sync with 0:2.1.1-4.jpp6 to add integration and scripts
- add all jars and poms to repolib
- fix jrockit home

* Sat Aug 08 2009 Fernando Nasser <fnasser@redhat.com> 0:2.1.4-1
- Upgrade to 2.1.4

* Wed Jul 15 2009 Yong Yang <yyang@redhat.com> 0:2.1.3-1
- Upgrade to 2.1.3

* Thu Jun 18 2009 David Walluck <dwalluck@redhat.com> 0:2.1.1-3
- split pom patch into two

* Tue Jun 16 2009 David Walluck <dwalluck@redhat.com> 0:2.1.1-2
- add repolib

* Mon Jun 08 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.1.1-1
- 2.1.1.GA
